package com.trafficparrot.examples.hello.jms;

import org.junit.Test;

import javax.jms.JMSException;
import java.io.IOException;
import java.util.concurrent.CountDownLatch;

import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;

public class HelloWorldJMSTopicIntegrationTest {
    private final JmsClient jmsClient = new JmsClient();

    @Test(timeout = 30_000)
    public void helloWorldTopic() throws IOException, JMSException, InterruptedException {
        WaitForOneMessage waitForOneMessage = jmsClient.listenOnTopic("response.topic");
        jmsClient.sendTextMessageToTopic("request.topic", "hello");

        String response = waitForOneMessage.awaitMessage();

        assertThat(response, is("world"));
    }
}
